// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdVideoIdentProductPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdVideoIdentProductPlugin", targets: ["WebIdVideoIdentProductPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-digital-signing-plugin-spm",
            .branch("snapshots")
        ),
        .package(
            name: "WebIdVideoIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-video-ident-plugin-spm",
            .branch("snapshots")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdVideoIdentProductPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdVideoIdentProductPlugin/12.0.0/WebIdVideoIdentProductPlugin.framework-v12.0.0-SNAPSHOT-1101.zip",
            checksum: "772c6ea968220a029f7ea850cd799002a1f188b3d892cc935a2e5e57a1267df9"
        ),
        .target(
            name: "WebIdVideoIdentProductPluginWrapper",
            dependencies: [
                .target(name: "WebIdVideoIdentProductPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdDigitalSigningPlugin", package: "WebIdDigitalSigningPlugin"),
                .product(name: "WebIdVideoIdentPlugin", package: "WebIdVideoIdentPlugin"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
